import {
	getOpenId,
	getToken,
	getPersonData,
	getPersonPopedom,
	getMenuList,
	getCommonMenuList,
	getPersonTemp,
	getFunList,
	getRegisterFormData,
	getAppVersion,
	getPersionHomeModel,
	getOldRelationFormData,
	getWxPayBackUrl,
	getWdMessageNum
} from '../utils/storage'

var storage_prefix = process.env.VUE_APP_LOCAL_STORAGE_PREFIX;

const state = {
	wx_openid: getOpenId(),
	token: getToken(),
	person_data: getPersonData(storage_prefix),
	person_popedom: getPersonPopedom(storage_prefix),
	add_person_data: '',
	control_abnormal_statistics_startTime: '',
	control_abnormal_statistics_endTime: '',
	menu_list: getMenuList(storage_prefix),
	common_menu_list: getCommonMenuList(storage_prefix),
	person_temp: getPersonTemp(storage_prefix),
	fun_list: getFunList(storage_prefix),
	register_form_data: getRegisterFormData(storage_prefix),
	app_version: getAppVersion(storage_prefix),
	persion_home_model: getPersionHomeModel(storage_prefix),
	old_relation_form_data: getOldRelationFormData(storage_prefix),
	wx_pay_back_url: getWxPayBackUrl(storage_prefix),
	register_examine_form: '',
	wd_message_num: getWdMessageNum(storage_prefix),
}

export default state
